--------------------------------
-- Script made by Major Wales --
--    DO NOT REDISTRIBUTE     --
--------------------------------

require("Assets/AP/C43MTUEP/Class43/Scripts/c43-main.lua")		-- DO NOT USE '\' AS THIS BREAKS THE WHOLE SCRIPT!
require("Assets/AP/C43MTUEP/Class43/Scripts/my-lua/daynight.lua")

oldUpdate = Update
oldInit = Initialise

function Initialise()
	oldInit()
	Call("BeginUpdate")
end

function exists(name)
	local x, y, z = Call(name .. ":getNearPosition")
	return x ~= nil
end

function Update (t)
	oldUpdate(t)
	if exists("HL_Fix") then
		Call("ActivateNode", "lightcovers_day", 0)
	end
	
	hlFix()
end

function hlFix()
	daynight = get_daynight()
	
	if exists("UpperMarker") then
		if Call("GetControlValue", "MarkerLights", 0) > 0 then
			Call("UpperMarker:ActivateNode", "Marker_Off", 0)
			Call("UpperMarker:ActivateNode", "Marker_On", 1)
		else
			Call("UpperMarker:ActivateNode", "Marker_Off", 1)
			Call("UpperMarker:ActivateNode", "Marker_On", 0)
		end
	end
	
	if daynight == DN_NIGHT then
		if Call("GetControlValue", "HeadlightSwitch", 0) > 0.5 and Call("GetControlValue", "HeadlightSwitch", 0) < 1.5 then
			Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_L", 0)
			Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_R", 1)
		elseif Call("GetControlValue", "HeadlightSwitch") > 1.5 and Call("GetControlValue", "HeadlightSwitch") < 2.5 then
			Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_L", 1)
			Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_R", 1)
		elseif Call("GetControlValue", "HeadlightSwitch") > 2.5 then
			Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_L", 1)
			Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_R", 0)
		else
			Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_L", 0)
			Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_R", 0)
		end
		
		if Call("GetControlValue", "MarkerLights", 0) > 0 and Call("GetControlValue", "TailLightsLHS", 0) < 0.5 then
			Call("HL_Fix:ActivateNode", "MJW_Headlight_ML", 1)
		else
			Call("HL_Fix:ActivateNode", "MJW_Headlight_ML", 0)
		end
		
		if Call("GetControlValue", "TailLightsLHS", 0) > 0 then
			Call("HL_Fix:ActivateNode", "MJW_Headlight_TL_L", 1)
		else
			Call("HL_Fix:ActivateNode", "MJW_Headlight_TL_L", 0)
		end
		
		if Call("GetControlValue", "TailLightsRHS", 0) > 0 then
			Call("HL_Fix:ActivateNode", "MJW_Headlight_TL_R", 1)
		else
			Call("HL_Fix:ActivateNode", "MJW_Headlight_TL_R", 0)
		end
	else
		Call("HL_Fix:ActivateNode", "MJW_Headlight_TL_L", 0)
		Call("HL_Fix:ActivateNode", "MJW_Headlight_TL_R", 0)
		Call("HL_Fix:ActivateNode", "MJW_Headlight_ML", 0)
		Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_L", 0)
		Call("HL_Fix:ActivateNode", "MJW_Headlight_HL_R", 0)
	end
end